Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdUpdateCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPUpdateCmd
              com.verisign.epp.codec.emailFwd.EPPEmailFwdUpdateCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPEmailFwdUpdateCmd

extends EPPUpdateCmd

Represents an EPP EmailFwd <update> command. The EPP <update> command provides a transform operation that allows a client to modify the attributes of a emailFwd object. In addition to the standard EPP command elements, the <update> command MUST contain a <emailFwd:update> element that identifies the emailFwd namespace and the location of the emailFwd schema. In addition to The <emailFwd:update> element SHALL contain the following child elements:

- A <emailFwd:name> element that contains the fully qualified emailFwd name of the object to be updated. Use `getName` and `setName` to get and set the element.
- An OPTIONAL <emailFwd:add> element that contains attribute values to be added to the emailFwd object. Use `getAdd` and `setAdd` to get and set the element.
- An OPTIONAL <emailFwd:chg> element that contains attribute values to be change to the emailFwd object. Use `getChange` and `setChange` to get and set the element.
- An OPTIONAL <emailFwd:rem> element that contains attribute values to be removed from the emailFwd object. Use `getRemove` and `setRemove` to get and set the element.

`EPPReponse` is the response associated with `EPPEmailFwdUpdateCmd`.

See Also:
  `EPPResponse`, `EPPEmailFwdAddRemove`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPEmailFwdUpdateCmd()` `EPPEmailFwdUpdateCmd` default constructor.
`EPPEmailFwdUpdateCmd(java.lang.String aName)` `EPPEmailFwdUpdateCmd` default constructor.
`EPPEmailFwdUpdateCmd(java.lang.String aTransId, java.lang.String aName, EPPEmailFwdAddRemove aAdd, EPPEmailFwdAddRemove aRemove, EPPEmailFwdAddRemove aChange)` `EPPEmailFwdUpdateCmd` constructor that takes the required attributes as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPEmailFwdUpdateCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPEmailFwdUpdateCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPEmailFwdUpdateCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdUpdateCmd` with this instance.
`EPPEmailFwdAddRemove` | `getAdd()` Gets the items to add to the emailFwd.
`EPPEmailFwdAddRemove` | `getChange()` Gets the items to change to the emailFwd.
`java.lang.String` | `getName()` Gets the emailFwd name to update.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPEmailFwdUpdateCmd`.
`EPPEmailFwdAddRemove` | `getRemove()` Gets the items to remove from the emailFwd.
`void` | `setAdd(EPPEmailFwdAddRemove aAdd)` Sets the items to add to the emailFwd.
`void` | `setChange(EPPEmailFwdAddRemove newChange)` Sets the items to change to the emailFwd.
`void` | `setName(java.lang.String aName)` Sets the emailFwd name to update.
`void` | `setRemove(EPPEmailFwdAddRemove aRemove)` Sets the items to remove from the emailFwd.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdUpdateCmd

    public EPPEmailFwdUpdateCmd()

  `EPPEmailFwdUpdateCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

### EPPEmailFwdUpdateCmd

    public EPPEmailFwdUpdateCmd(java.lang.String aTransId,
                                java.lang.String aName,
                                EPPEmailFwdAddRemove aAdd,
                                EPPEmailFwdAddRemove aRemove,
                                EPPEmailFwdAddRemove aChange)

  `EPPEmailFwdUpdateCmd` constructor that takes the required attributes as arguments.

  Parameters:
    `aTransId` - Transaction Id associated with the command.
    `aName` - EmailFwd name to update.
    `aAdd` - Attributes to add to the emailFwd. `null` if no additions.
    `aRemove` - Attributes to remove from the emailFwd. `null` if no removals.
    `aChange` - DOCUMENT ME!

### EPPEmailFwdUpdateCmd

    public EPPEmailFwdUpdateCmd(java.lang.String aName)

  `EPPEmailFwdUpdateCmd` default constructor. The name is initialized to `null`. The name must be set before invoking `encode`.

  Parameters:
    `aName` - DOCUMENT ME!

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPEmailFwdUpdateCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPEmailFwdMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPEmailFwdUpdateCmd` instance.

  Specified by:
    `doEncode` in class `EPPUpdateCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPEmailFwdUpdateCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPEmailFwdUpdateCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPEmailFwdUpdateCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPUpdateCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPEmailFwdUpdateCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPEmailFwdUpdateCmd` with this instance.

  Overrides:
    `equals` in class `EPPUpdateCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPEmailFwdUpdateCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPEmailFwdUpdateCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getName

    public java.lang.String getName()

  Gets the emailFwd name to update.

  Returns:
    EmailFwd Name if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the emailFwd name to update.

  Parameters:
    `aName` - EmailFwd Name

### getAdd

    public EPPEmailFwdAddRemove getAdd()

  Gets the items to add to the emailFwd.

  Returns:
    Object that contains the list of elements to add to the emailFwd if defined; `null` otherwise.

### setAdd

    public void setAdd(EPPEmailFwdAddRemove aAdd)

  Sets the items to add to the emailFwd.

  Parameters:
    `aAdd` - Object that contains the list of elements to add to the emailFwd.

### getRemove

    public EPPEmailFwdAddRemove getRemove()

  Gets the items to remove from the emailFwd.

  Returns:
    Object that contains the list of elements to remove from the emailFwd if defined; `null` otherwise.

### setRemove

    public void setRemove(EPPEmailFwdAddRemove aRemove)

  Sets the items to remove from the emailFwd.

  Parameters:
    `aRemove` - Object that contains the list of elements to remove from the emailFwd.

### getChange

    public EPPEmailFwdAddRemove getChange()

  Gets the items to change to the emailFwd.

  Returns:
    Object that contains the list of elements to change to the emailFwd if defined; `null` otherwise.

### setChange

    public void setChange(EPPEmailFwdAddRemove newChange)

  Sets the items to change to the emailFwd.

  Parameters:
    `newChange` - Object that contains the list of elements to change to the emailFwdemailFwdemailFwd.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.